<?php
    /************************************************************************
    * 
    *    ULTRA STEREO LABS CONFIDENTIAL
    *    ____________________________________________________________________
    * 
    *       Copyright (c) 2014 - 2015 Ultra Stereo Labs Incorporated 
    *                         All Rights Reserved.
    * 
    *    NOTICE:  All information contained herein is, and remains
    *    the property of Ultra Stereo Labs Incorporated and its suppliers,
    *    if any.  The intellectual and technical concepts contained
    *    herein are proprietary to Ultra Stereo Labs Incorporated
    *    and its suppliers and may be covered by U.S. and Foreign Patents,
    *    in process, and are protected by trade secret or copyright law.
    *    Dissemination of this information or reproduction of this material
    *    is strictly forbidden unless prior written permission is obtained
    *    from Ultra Stereo Labs Incorporated. 181 Bonetti Drive, 
    *    San Luis Obispo, California 93401-7397, USA – www.uslinc.com
    *
    *    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
    *    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    *    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
    *    IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
    *    CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
    *    TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
    *    SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
    *
    *
    ************************************************************************/
   //-----------------------------------------------------------------------
   // cron
   //
   // This script is executed at defined intervals to service the notifications.
   // In a linux environment this is invoke via the CronTab file. For testing
   // this is included in cronTest as well that returns the number of 
   // emails sent in the toaster.
   // 
   //-----------------------------------------------------------------------
   //-----------------------------------------------------------------------
   // Start of Cron script, Includes and Data
   //-----------------------------------------------------------------------
   // In supporting both a Windows and Linux platforms the path node 
   // characters differ. The following creates a path variable suitable
   // for both Windows and Linux.
   $workingPath = __FILE__;
   $workingPath = str_replace("\\","/",$workingPath);
   $lastCharPos = strripos($workingPath,'/');
   $workingPath = substr($workingPath, 0, $lastCharPos);
   $lastCharPos = strripos($workingPath,'/');
   $path = substr($workingPath, 0, $lastCharPos);
   
   include($path.'/includes/config.php');
   include_once('notification.php');
   include_once('notifications/classAdmin.php');
   
   // Global reference to the notification administration class.
   $NotifyAdmin;
   // Object method, reference to the database. 
   $mysqli = new mysqli($DB_HOST, $DB_USER, $DB_PASS, $DB_NAME);   
   // Create the classNotification, contains methods that
   // access and use database results.
   NewNotificationInstance($mysqli);
   $NotifyAdmin->SetLastCronRunNow();
   $emailsSent = 0;    
   $emailsSent = SendNotificationMail();
?>
