<?php
    /************************************************************************
    * 
    *    ULTRA STEREO LABS CONFIDENTIAL
    *    ____________________________________________________________________
    * 
    *       Copyright (c) 2014 - 2015 Ultra Stereo Labs Incorporated 
    *                         All Rights Reserved.
    * 
    *    NOTICE:  All information contained herein is, and remains
    *    the property of Ultra Stereo Labs Incorporated and its suppliers,
    *    if any.  The intellectual and technical concepts contained
    *    herein are proprietary to Ultra Stereo Labs Incorporated
    *    and its suppliers and may be covered by U.S. and Foreign Patents,
    *    in process, and are protected by trade secret or copyright law.
    *    Dissemination of this information or reproduction of this material
    *    is strictly forbidden unless prior written permission is obtained
    *    from Ultra Stereo Labs Incorporated. 181 Bonetti Drive, 
    *    San Luis Obispo, California 93401-7397, USA – www.uslinc.com
    *
    *    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
    *    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    *    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
    *    IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
    *    CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
    *    TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
    *    SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
    *
    *
    ************************************************************************/
   //-----------------------------------------------------------------------
   // cronTest
   //
   // This script will be used in conjuction with testing the cron script.
   // It basically will validate the Web service request and then exeucte
   // the cron routine. cron is invoked from either this script or via the
   // system cron daemon.
   //    
   //-----------------------------------------------------------------------
   // Protect from web crawlers, just exit;  
   $requestType = $_SERVER['REQUEST_METHOD'];
   if ($requestType == "GET" || $requestType == "HEAD" || $requestType == "PUT" ){
       die();
   }
 
   // Invoke the cron script here!
   include('cron.php');

   //-----------------------------------------------------------------------
   // An internal post is used for testing the cron process and return a 
   // status to the Web services handler.
   //-----------------------------------------------------------------------   
   if($requestType == "POST")
   {
        global $emailsSent;
        
        $response = array();
        // Provide user feedback.
        if ($emailsSent > 0) {
            $response['status'] = "success";
            $response['message'] = "Cron has processed notifications with ".$emailsSent." emails sent.";
        } else {
            $response['status'] = "info";
            $response['message'] = "Cron has processed notifications, no emails sent.";
        }
        // Encode the response
        $json_response = json_encode($response);
        // # Return the response
        echo $json_response;
   }else if($emailsSent === 0){       
       error_log("LSS-100 Cron has no notification items to process, no emails sent", 0);
   }

   
?>
