//---------------------------------------------------------------------------
// dbDeleteService
// 
// The cmdToke is basically a database table identifier with a java script
// object the represents the associated table row data. The requestor must
// specify an entry the exist in the respective table. When the existing 
// columns and entry is found, is deleted.
//---------------------------------------------------------------------------
app.service('dbDeleteService', function ($http, Data) {

    // A generic server side php service update request.
    this.dbDelete = function (cmdToken, dataItem) {

        // Create the table identifier to modify.
        var jsonCmdObj = {"command":cmdToken};
       
        var cmdAndData = JSON.stringify(jsonCmdObj);
        //if(Data!== (object)null)
        if(dataItem !== null)
        {
            var cmdData = JSON.stringify(dataItem);
            // Trim the command  and data strings to append.
            cmdData = cmdData.substr(1);
            cmdAndData = cmdAndData.substr(0, cmdAndData.length-1);
            cmdAndData += ','+cmdData;
        }

        $http.post('serverservices/deleteData.php', cmdAndData).success(function(results){
            Data.toast(results);
        }).error(function(results){
            Data.toast(results);
        });

    };
    
    //-----------------------------------------------------------------------
    // this.dbDeleteWithResult
    //
    // When the results are received, the result status is updated. The 
    // result is ValueItemStruct object that can be watched to signal 
    // the controller about the completion of the deletion event.
    //-----------------------------------------------------------------------
    this.dbDeleteWithResult = function (cmdToken, dataItem, result) {

        // Create the table identifier to modify.
        var jsonCmdObj = {"command":cmdToken};
       
        var cmdAndData = JSON.stringify(jsonCmdObj);
        //if(Data!== (object)null)
        if(dataItem !== null)
        {
            var cmdData = JSON.stringify(dataItem);
            // Trim the command  and data strings to append.
            cmdData = cmdData.substr(1);
            cmdAndData = cmdAndData.substr(0, cmdAndData.length-1);
            cmdAndData += ','+cmdData;
        }

        // Web service request with promise event handlers. Update the 
        // result to signal the controller.
        $http.post('serverservices/deleteData.php', cmdAndData).success(function(results){
            Data.toast(results);
            result.Boolean = true;
        }).error(function(results){
            Data.toast(results);
            result.Boolean = false;
        });

    };
    
});


